NameFinderCensus90NameStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats, class: NameFinderCensus90NameStream

# Class NameFinderCensus90NameStream

java.lang.Object
opennlp.tools.formats.NameFinderCensus90NameStream

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<StringList>`

@Internal public class NameFinderCensus90NameStream extends Object implements ObjectStream<StringList>
This class helps to read the US Census data from the files to build a StringList for each dictionary entry in the name-finder dictionary. The entries in the source file are as follows:

SMITH 1.006 1.006 1

- The first field is the name (in ALL CAPS).
- The next field is a frequency in percent.
- The next is a cumulative frequency in percent.
- The last is a ranking.

Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameFinderCensus90NameStream(InputStreamFactory in, Charset encoding)`
  Initializes a `NameFinderCensus90NameStream` via an `InputStreamFactory` and a `Charset`.
  `NameFinderCensus90NameStream(ObjectStream<String> lineStream)`
  Initializes a `NameFinderCensus90NameStream` via `ObjectStream<String>`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `StringList`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameFinderCensus90NameStream

    public NameFinderCensus90NameStream(ObjectStream<String> lineStream)
    Initializes a `NameFinderCensus90NameStream` via `ObjectStream<String>`.
    Parameters:
      `lineStream` - An `ObjectStream<String>` that represents the input file to be attached to this class.

  - ### NameFinderCensus90NameStream

    public NameFinderCensus90NameStream(InputStreamFactory in, Charset encoding) throws IOException
    Initializes a `NameFinderCensus90NameStream` via an `InputStreamFactory` and a `Charset`. Opens an associated stream object with the specified encoding specified.
    Parameters:
      `in` - The `InputStreamFactory` for the input file.
      `encoding` - the `Charset` to apply to the input stream.
    Throws:
      `IOException` - Thrown if IO errors occurred.

- ## Method Details

  - ### read

    public StringList read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<StringList>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<StringList>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<StringList>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.